Page MenuHomePhabricator

Add Lucas Werkmeister to the ldap/wmde and ldap/nda groups
Closed, ResolvedPublic

Description

I’m employed at WMDE as a software developer and would like to be added to the ldap/wmde and ldap/nda groups. My username is lucaswerkmeister-wmde.

I need to

  • sign NDA with WMF legal for LDAP access
  • add wmde users to ldap_only admins
  • get added to ldap/wmde
  • get added to ldap/nda

The main reason I would like ldap/nda membership is logstash access.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 3:28 PM

As his teammate, His talent and his knowledge always intrigued me, so I fully support this request and believe these accesses will be useful for the whole team and Wikidata.

Dzahn added a subscriber: Dzahn.Feb 26 2018, 8:06 PM

Please let us know once the NDA with legal is on file. Usually Rachel will confirm with a ticket comment and then we can go ahead with the group additions.

RobH updated the task description. (Show Details)Feb 26 2018, 10:36 PM
Aklapper renamed this task from Request to be added to the ldap/wmde and ldap/nda groups to Add Lucas Werkmeister to the ldap/wmde and ldap/nda groups.Feb 26 2018, 11:53 PM

Is this NDA a separate document or was it part of my contract / onboarding? My work contract has what looks like an NDA-like clause to me („Verschwiegenheitspflicht“), but I don’t remember having signed a separate document.

Is this NDA a separate document or was it part of my contract / onboarding? My work contract has what looks like an NDA-like clause to me („Verschwiegenheitspflicht“), but I don’t remember having signed a separate document.

That will be an NDA with WMDE, the NDA required in this document is an NDA with the WMF.

Hi,

I am Lucas's Engineering Manager and I support his request, it will give us a lot of value and would help us progress with many things.

Thanks (and nice to meet you all :) )
Raz.

Hello all,

I can create the WMF NDA. @Lucas_Werkmeister_WMDE - I'll write to your WMDE email address with information about signing the NDA through our contract software. Thanks!

Lucas's WMF NDA has been signed and filed. Thanks!

Addshore updated the task description. (Show Details)Mar 1 2018, 9:19 AM
Dzahn claimed this task.Mar 1 2018, 3:52 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-02T01:46:32Z] <mutante> LDAP: added lucaswerkmeister-wmde to 'wmde' and 'nda' groups (T188105)

Dzahn updated the task description. (Show Details)Mar 2 2018, 1:47 AM

Change 415792 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Lucas Werkmeister to ldap_only admins

https://gerrit.wikimedia.org/r/415792

Change 415792 merged by Dzahn:
[operations/puppet@production] admins: add Lucas Werkmeister to ldap_only admins

https://gerrit.wikimedia.org/r/415792

Dzahn updated the task description. (Show Details)Mar 2 2018, 1:50 AM
Dzahn closed this task as Resolved.

@Lucas_Werkmeister_WMDE Done! You have been added. Things should just work now. Let us know if any unexpected issues.

MoritzMuehlenhoff reopened this task as Open.Mar 2 2018, 9:26 AM

There's a typo; lukaswerkmeister-wmde (with a k) was added to cn=nda, but the actual UID is lucaswerkmeister-wmde

Dzahn added a comment.Mar 2 2018, 4:02 PM

Oops, fixed! Adjusted both wmde and nda group for Lucas with a C.

Dzahn closed this task as Resolved.Mar 2 2018, 4:03 PM

Great, thank you very much!